> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openapi.pluuug.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 의뢰 이메일 히스토리 목록 조회

> 의뢰에서 발송한 이메일 이력을 조회합니다. 수신자(to), 참조(cc), 발송 상태(S:발송, D:임시저장, C:발송예약, F:실패) 정보를 포함합니다.



## OpenAPI

````yaml GET /v1/inquiry/{inquiry_id}/email_history
openapi: 3.1.0
info:
  title: pluuug openapi
  version: 1.0.0
  description: >-
    플러그에서 제공하는 REST API의 상세 내용을 확인하고 직접 테스트할 수 있는 인터페이스입니다.<br>이 문서를 통해 API의
    엔드포인트, 요청 및 응답 형식 등을 확인할 수 있습니다.
servers:
  - url: https://openapi.pluuug.com
security: []
paths:
  /v1/inquiry/{inquiry_id}/email_history:
    get:
      tags:
        - inquiry
      summary: 의뢰 이메일 발신 이력 목록
      description: >-
        의뢰에서 발송한 이메일 이력을 조회합니다. 수신자(to), 참조(cc), 발송 상태(S:발송, D:임시저장, C:발송예약,
        F:실패) 정보를 포함합니다.
      operationId: inquiry_email_history_list
      parameters:
        - name: cursor
          required: false
          in: query
          description: Pagination을 위한 커서
          schema:
            type: string
        - in: path
          name: inquiry_id
          schema:
            type: integer
          required: true
        - name: page_size
          required: false
          in: query
          description: 한번에 조회할 데이터의 개수 (limit)
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedOpenapiInquiryEmailHistoryList'
          description: ''
      security:
        - ApiKeyAuth: []
          Signature: []
components:
  schemas:
    PaginatedOpenapiInquiryEmailHistoryList:
      type: object
      required:
        - results
      properties:
        next:
          type:
            - string
            - 'null'
          format: uri
          example: http://api.example.org/accounts/?cursor=cD00ODY%3D"
        previous:
          type:
            - string
            - 'null'
          format: uri
          example: http://api.example.org/accounts/?cursor=cj0xJnA9NDg3
        results:
          type: array
          items:
            $ref: '#/components/schemas/OpenapiInquiryEmailHistory'
    OpenapiInquiryEmailHistory:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type:
            - string
            - 'null'
          readOnly: true
          description: 제목
        fromEmail:
          type:
            - string
            - 'null'
          format: email
          readOnly: true
          description: 발신 이메일
        toSet:
          type: array
          items:
            $ref: '#/components/schemas/OpenapiNestedEmailTo'
          readOnly: true
          description: 수신자
        ccSet:
          type: array
          items:
            $ref: '#/components/schemas/OpenapiNestedEmailCc'
          readOnly: true
          description: 참조
        status:
          enum:
            - S
            - D
            - C
            - F
          type: string
          x-spec-enum-id: bfdee35964dd2dae
          readOnly: true
          description: |-
            상태 (S: 발송, D: 임시저장, C: 발송예약, F: 실패)

            * `S` - S
            * `D` - D
            * `C` - C
            * `F` - F
          x-enumNames:
            - S
            - D
            - C
            - F
        member:
          allOf:
            - $ref: '#/components/schemas/OpenapiNestedMember'
          readOnly: true
          description: 작성 멤버
        sentAt:
          type:
            - string
            - 'null'
          format: date-time
          readOnly: true
          description: 발송 시간
        created:
          type: string
          format: date-time
          readOnly: true
          description: 생성일시
      required:
        - ccSet
        - created
        - fromEmail
        - id
        - member
        - sentAt
        - status
        - title
        - toSet
    OpenapiNestedEmailTo:
      type: object
      properties:
        toEmail:
          type: string
          format: email
          readOnly: true
          description: 수신 이메일
      required:
        - toEmail
    OpenapiNestedEmailCc:
      type: object
      properties:
        ccEmail:
          type: string
          format: email
          readOnly: true
          description: 참조 이메일
      required:
        - ccEmail
    OpenapiNestedMember:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        id:
          type: integer
        nickname:
          type:
            - string
            - 'null'
          readOnly: true
          description: 닉네임
        email:
          type: string
          readOnly: true
          description: 이메일
        isActive:
          type: boolean
          readOnly: true
          description: 활성화 여부
        grade:
          allOf:
            - $ref: '#/components/schemas/OpenapiNestedMemberGrade'
          readOnly: true
          description: 등급
      required:
        - email
        - grade
        - id
        - isActive
        - nickname
    OpenapiNestedMemberGrade:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          readOnly: true
      required:
        - id
        - title
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    Signature:
      type: apiKey
      in: header
      name: X-Signature
      description: |-
        HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다.
        서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

````